_:

let
  host = "cal.dgnum.eu";

  calendarGroups = {
    luj-current = {
      port = 8444;
      calendars = {
        "https://cloud.eleves.ens.fr/remote.php/dav/public-calendars/LLWm8qK9iC5YGrrR" = {
          name = "Délégation Générale";
          short_name = "DG";
        };

        "https://cloud.eleves.ens.fr/remote.php/dav/public-calendars/fRtjDkjrZyn6fxd8" = {
          name = "K-Fêt";
          color = "#c63b52";
          default_location = "K-Fêt";
        };
      };
    };
  };
in {
  imports = [ ./module.nix ];

  dgn-linkal = {
    enable = true;
    domain = host;

    inherit calendarGroups;
  };
}
