{ lib, fetchgit, buildNpmPackage, src }:

buildNpmPackage {
  pname = "metis";
  version = "unstable";

  inherit src;

  npmDepsHash = "sha256-RbjWNVY8KlPP9ajQRnrsWhOZiiyyMGQSY39lmZnTC1I=";

  installPhase = ''
    cp -r public $out
  '';

  meta = with lib; {
    description = "";
    homepage = "https://git.dgnum.eu/DGNum/metis";
    license = licenses.unfree; # FIXME: nix-init did not found a license
    maintainers = with maintainers; [ thubrecht ];
    mainProgram = "metis";
    platforms = platforms.all;
  };
}
