/*
To add a new member add an attribute to `members`
Then add the key to the required groups.
*/
let
  members = {
    mdebray = {
      name = "Maurice Debray";
      email = "maurice.debray@dgnum.eu";
    };

    thubrecht = {
      name = "Tom Hubrecht";
      email = "tom.hubrecht@dgnum.eu";
    };

    raito = {
      name = "Ryan Lahfa";
      email = "ryan@dgnum.eu";
    };
  };

  groups = {
    # members of this group are root on all nodes
    root = [ "thubrecht" "raito" ];

    # members of this group are root on web nodes
    web = [ "mdebray" ];

    # members of this group will have root access on the installation isos
    iso = [ "thubrecht" "mdebray" "raito" ];

    bureau = [ "gdd" ];
  };
in

{ inherit groups members; }
